# vim: set ft=swayconfig:
#
# Idle and lock configuration
#

exec LT="900" && \
	swayidle -w \
		timeout $LT \
			'swaylock -f' \
		before-sleep \
			'swaylock -f' \
		lock \
			'swaylock -f' \
		unlock \
			'pkill -xu "$USER" -SIGUSR1 swaylock'
